PositionFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.position.PositionFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.position
Class PositionFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.position.PositionFilter

All Implemented Interfaces:
  Closeable

    public final class PositionFilter

extends org.apache.lucene.analysis.TokenFilter

Set the positionIncrement of all tokens to the "positionIncrement", except the first return token which retains its original positionIncrement value. The default positionIncrement value is zero.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`PositionFilter(org.apache.lucene.analysis.TokenStream input)` Constructs a PositionFilter that assigns a position increment of zero to all but the first token from the given input stream.
`PositionFilter(org.apache.lucene.analysis.TokenStream input, int positionIncrement)` Constructs a PositionFilter that assigns the given position increment to all but the first token from the given input stream.

Method Summary
`boolean` | `incrementToken()`
`void` | `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PositionFilter

    public PositionFilter(org.apache.lucene.analysis.TokenStream input)

  Constructs a PositionFilter that assigns a position increment of zero to all but the first token from the given input stream.

  Parameters:
    `input` - the input stream

### PositionFilter

    public PositionFilter(org.apache.lucene.analysis.TokenStream input,
                          int positionIncrement)

  Constructs a PositionFilter that assigns the given position increment to all but the first token from the given input stream.

  Parameters:
    `input` - the input stream
    `positionIncrement` - position increment to assign to all but the first token from the input stream

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenFilter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD